# Auto TTV Grabber

<!--toc:start-->
- [Auto TTV Grabber](#auto-ttv-grabber)
  - [tl;dr](#tldr)
  - [Configuration](#configuration)
    - [Settings](#settings)
    - [Adding streams](#adding-streams)
<!--toc:end-->

## tl;dr

This script relies on [streamlink](https://streamlink.github.io) being installed.
You can find all of its requirements on the their project page.
This script loops through all of the channels in `config.ini`,
once per minute checking to see if the channel is live via a HTTP request.
Once a channel is live a `streamlink` subprocess spawns in the background,
downloading the stream to it's default location (`$HOME/Downloads/Stream/<channel_name>`)
If you wish to change this location, you can find out how to below

## Configuration

You can copy `config.ini.example` from the repo to `config.ini` to begin.
Leaving a setting blank will render it being ignored and using the default value.

### Settings

- `streamlink_location`: If `streamlink` is not in your path you can specify
its absolute location here. Otherwise it looks for it in your path.
- `download_location`: You can specify the absolute path to where you would like
to save the steams. A subdirectory will be created for each channel as it goes live.
If left blank the default location is: `$HOME/Downloads/Streams/<channel_name>`
- `skip_ads` : Takes a `True` or `False` value. If `True` you will need to have
installed the [ttvlol](https://github.com/2bc4/streamlink-ttvlol) `streamlink`
plugin. Setting this to `True` without doing so will cause the
`streamlink` subprocess to fail. Default value is `False`

### Adding streams

You will need to add the channels Twitch username to `config.ini`:  

```ini
[streams]
1 = coney
2 = dougdoug
3 = parkzer
```

As for as I know there is no limit to how many streams you can add this way,
just make sure when you add a new stream it is incremented by one
